Bug 736282 - CVE-2011-3211 bcfg2 (bcfg2-server): Privilege escalation due to improper escaping of shell command data sent from client, when SSHbase plug-in enabled [epel-all]
Summary: CVE-2011-3211 bcfg2 (bcfg2-server): Privilege escalation due to improper esca...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: bcfg2
Version: el6
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 735239 (view as bug list)
Depends On:
Blocks: CVE-2011-3211
TreeView+ depends on / blocked
 
Reported: 2011-09-07 09:18 UTC by Jan Lieskovsky
Modified: 2011-10-09 21:02 UTC (History)
3 users (show)

Fixed In Version: bcfg2-1.1.3-1.el6
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-09 21:00:43 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2011-09-07 09:18:09 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=736279

Please note: this issue affects multiple supported versions of Fedora EPEL.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Fabian Affolter 2011-09-07 21:47:58 UTC
*** Bug 735239 has been marked as a duplicate of this bug. ***

Comment 2 Fedora Update System 2011-09-22 22:13:24 UTC
bcfg2-1.1.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/bcfg2-1.1.3-1.el6

Comment 3 Fedora Update System 2011-09-22 22:13:42 UTC
bcfg2-1.1.3-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/bcfg2-1.1.3-1.el5

Comment 4 Fedora Update System 2011-09-24 21:58:32 UTC
Package bcfg2-1.1.3-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing bcfg2-1.1.3-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/bcfg2-1.1.3-1.el5
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-10-09 21:00:43 UTC
bcfg2-1.1.3-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-10-09 21:02:28 UTC
bcfg2-1.1.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.